POST
https://api.stableyard.fi
/
sdk
/
v1
/
deploy-role-module
curl -X POST https://api.stableyard.fi/sdk/v1/deploy-role-module \
  -H "Authorization: Basic $(echo -n $STABLEYARD_APP_ID:$STABLEYARD_APP_SECRET | base64)" \
  -H "Content-Type: application/json" \
  -d '{
    "userId": "user_abc123",
    "txData": {
      "to": "0x...",
      "value": "0",
      "data": "0x...",
      "operation": 0
    },
    "signature": "0x..."
  }'
{
  "success": true,
  "message": "Role module deployed successfully",
  "moduleAddress": "0xabcdef1234567890...",
  "requestId": "req_xyz789"
}
Deploy the role-based permissions module for a vault. This enables programmable access control and delegated signing capabilities.

Authentication

Authorization
string
required
Basic authentication. Value: Basic base64(STABLEYARD_APP_ID:STABLEYARD_APP_SECRET). Obtain your credentials from the Stableyard SDK.

Body Parameters

userId
string
required
Money Account’s unique identifier
txData
object
required
Safe execTransaction payload (can be object or JSON string)
signature
string
required
Safe owner signature(s) for the transaction

Response

success
boolean
Indicates if the request was successful
message
string
Status message
moduleAddress
string
Deployed module address (null if deployment pending)
curl -X POST https://api.stableyard.fi/sdk/v1/deploy-role-module \
  -H "Authorization: Basic $(echo -n $STABLEYARD_APP_ID:$STABLEYARD_APP_SECRET | base64)" \
  -H "Content-Type: application/json" \
  -d '{
    "userId": "user_abc123",
    "txData": {
      "to": "0x...",
      "value": "0",
      "data": "0x...",
      "operation": 0
    },
    "signature": "0x..."
  }'
{
  "success": true,
  "message": "Role module deployed successfully",
  "moduleAddress": "0xabcdef1234567890...",
  "requestId": "req_xyz789"
}